org.apache.maven.artifact.transform

## Interface ArtifactTransformationManager

All Known Implementing Classes:
  DefaultArtifactTransformationManager

    public interface ArtifactTransformationManager

Manages multiple ArtifactTransformation instances and applies them in succession.

### Field Summary

Fields
`static java.lang.String` `ROLE`

### Method Summary

Methods
`void` `transformForDeployment(Artifact artifact, ArtifactRepository remoteRepository, ArtifactRepository localRepository)` Take in a artifact and return the transformed artifact for distributing toa remote repository.
`void` `transformForInstall(Artifact artifact, ArtifactRepository localRepository)` Take in a artifact and return the transformed artifact for locating in the local repository.
`void` `transformForResolve(Artifact artifact, java.util.List<ArtifactRepository> remoteRepositories, ArtifactRepository localRepository)` Take in a artifact and return the transformed artifact for locating in the remote repository.

### Field Detail

#### ROLE

    static final java.lang.String ROLE

### Method Detail

#### transformForResolve

    void transformForResolve(Artifact artifact,
                           java.util.List<ArtifactRepository> remoteRepositories,
                           ArtifactRepository localRepository)
                             throws ArtifactResolutionException,
                                    ArtifactNotFoundException

Take in a artifact and return the transformed artifact for locating in the remote repository. If no transformation has occured the original artifact is returned.

Parameters:
  `artifact` - Artifact to be transformed.
  `remoteRepositories` - the repositories to check
  `localRepository` - the local repository
Throws:
  `ArtifactResolutionException`
  `ArtifactNotFoundException`

#### transformForInstall

    void transformForInstall(Artifact artifact,
                           ArtifactRepository localRepository)
                             throws ArtifactInstallationException

Take in a artifact and return the transformed artifact for locating in the local repository. If no transformation has occured the original artifact is returned.

Parameters:
  `artifact` - Artifact to be transformed.
  `localRepository` - the local repository it will be stored in
Throws:
  `ArtifactInstallationException`

#### transformForDeployment

    void transformForDeployment(Artifact artifact,
                              ArtifactRepository remoteRepository,
                              ArtifactRepository localRepository)
                                throws ArtifactDeploymentException

Take in a artifact and return the transformed artifact for distributing toa remote repository. If no transformation has occured the original artifact is returned.

Parameters:
  `artifact` - Artifact to be transformed.
  `remoteRepository` - the repository to deploy to
  `localRepository` - the local repository the metadata is stored in
Throws:
  `ArtifactDeploymentException`